//Automation API

Development & Automation API

These endpoints are designed for CI/CD, testing, and AI-agent automation.

POST /api/seed/full

Atomically seeds a complete environment.

Input: ~~~json { "prefix": "test-corp" } ~~~

POST /api/seed/batch

Arbitrary ingestion of users, organizations, and teams in a single transaction.

Input: ~~~json { "organizations": [{ "name": "Org A" }], "users": [{ "email": "a@b.com", "username": "a", "fullname": "A" }], "teams": [{ "name": "Team 1", "org_uuid": "..." }] } ~~~

POST /api/dev/create-account

Provisions a specific User, Org, and App.

Input: ~~~json { "email": "bot@example.com", "password": "...", "first_name": "...", "last_name": "...", "org_name": "..." } ~~~

POST /api/apps/:app_uuid/seed-org

Seeds a new organization linked to a specific application.